import setuptools


setuptools.setup(
	name = 'codearchiver',
	description = 'A VCS repository archival tool',
	author = 'JustAnotherArchivist',
	url = 'https://git.kiska.pw/JustAnotherArchivist/codearchiver',
	classifiers = [
		'Development Status :: 3 - Alpha',
		'License :: OSI Approved :: GNU General Public License v3 or later (GPLv3+)',
		'Programming Language :: Python :: 3.6',
		'Programming Language :: Python :: 3.7',
		'Programming Language :: Python :: 3.8',
	],
	packages = ['codearchiver', 'codearchiver.modules'],
	setup_requires = ['setuptools_scm'],
	use_scm_version = True,
	install_requires = ['requests[socks]'],
	entry_points = {
		'console_scripts': [
			'codearchiver = codearchiver.cli:main',
		],
	},
)
